/**
 * Informatique Industrielle et Java
 * Solution de l'exercice 4.4 du chapitre4
 *  
 * @author F. Mallet
 * @version 1
 */
import montre.Montre;

import javax.swing.JFrame;
import javax.swing.Timer;

public class Environnement {
    // La fen?tre principale de l'environnement graphique */
    private JFrame fenetre;
       
    /** Constructeur: cr?e la fen?tre principale de l'environnement*/	
    public Environnement () {
        fenetre = new JFrame("horloge");
        
        // creation d'une montre (mod?le+vue)
        Montre montre = new Montre();
        
        // ajoute la montre
        fenetre.getContentPane().add(montre, "Center");
        
        // creation d'un ecouteur qui change les secondes
        ChangeSecondes ecouteur = new ChangeSecondes(montre);
        
        // cree un timer et le connecte ? l'ecouteur
        Timer timer = new Timer(1000, ecouteur); // 1000ms=1s
	
	// le timer est demarre instantanement
	timer.start();        
        
        // dimensionne la fen?tre pour que la vue et le bouton de commande 
        // soient affich?s correctement
        fenetre.pack();
    }

    /** affiche la fen?tre principale ? l'?cran */
    public void affiche() { 
        fenetre.setVisible(true);
    }
    /** cache la fen?tre principale */
    public void cache() {
        fenetre.setVisible(false);
    }  
    
    /** Change le titre de la fen?tre principale
     * @param titre est le nouveau titre ? appliquer
     */ 
    public void setTitre(String titre) {
    	  fenetre.setTitle(titre);
    }  
}
